%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		4.6
%define libname		%mklibname xfsm %{api} %{major}
%define develname	%mklibname xfsm -d

Summary:	Xfce Session Manager
Name:		xfce4-session
Version:	4.10.0
Release:	%mkrel 10
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source1:	06Xfce
Source2:	xfce4.pam
Patch0:		xfce4-session-4.10.0-xinitrc.patch
# Slightly modified patch originally from upstream git:
# http://git.xfce.org/xfce/xfce4-session/commit/?id=7a75a8
Patch1:		xfce4-session-4.10.0-remove-gnome-keyring-remains.patch
# Patch originally from upstream bugzilla:
# https://bugzilla.xfce.org/show_bug.cgi?id=8729#c10
Patch2:		xfce4-session-4.10.0-add-systemd-support.patch
# Patch from uptream git:
# http://git.xfce.org/xfce/xfce4-session/commit/?id=499a71
Patch3:		xfce4-session-4.10.0-fix--fast-action.patch
# Patch from upstream git:
# http://git.xfce.org/xfce/xfce4-session/commit/?id=9f3077
Patch4:		xfce4-session-4.10.0-handle-multiple-interactive-session-save.patch
# Patch from upstream git:
# http://git.xfce.org/xfce/xfce4-session/commit/?id=0288a7
Patch5:		xfce4-session-4.10.0-fix-duplicated-accelerators.patch
BuildRequires:	intltool
BuildRequires:	iceauth
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequireS:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires:	usermode-consoleonly
Requires:	polkit-agent
Requires(pre):	%{_real_vendor}-xfce-config
Requires(post):	%{_real_vendor}-xfce-config

#added 4/2012 (wally)
Obsoletes:	xfce-utils

%description
The session manager allows the user to save sessions and
restore them after login. It is capable of saving several
different sessions. It comes with three splash screen engines.
And at last it helps you to log out, reboot, and shutdown the system.

%package engines
Summary:	Balou splash engine
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xfce-session-engines

%description engines
Balou is an addidional splash engine for the Xfce.

%package -n %{libname}
Summary:	Libraries for the Xfce Session Manager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for xfce-session manager.

%package -n %{develname}
Summary:	Libraries and header files for the Xfce Session Manager
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	libxfsm-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files for the Xfce Session Manager.

%prep
%setup -q
%apply_patches

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--disable-static \
	--enable-systemd
%make

%install
%makeinstall_std

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/Xft.xrdb

# session
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/wmsession.d

# pam
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/xfce4

# generated by filetriggers from wmsession file
rm -rf %{buildroot}%{_datadir}/xsessions/

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%doc doc/FAQ doc/README.Kiosk
%dir %{_datadir}/themes
%dir %{_datadir}/themes/Default
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/xfce4/session/splash-engines/libmice.*
%{_libdir}/xfce4/session/splash-engines/libsimple.*
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_mandir}/man1/*
#previously in xfce-utils
%{_sysconfdir}/xdg/autostart/xscreensaver.desktop
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/X11/wmsession.d/06Xfce
%{_sysconfdir}/pam.d/xfce4

%files engines
%dir %{_datadir}/themes/Default/balou
%{_libdir}/xfce4/session/balou-export-theme
%{_libdir}/xfce4/session/balou-install-theme
%{_libdir}/xfce4/session/splash-engines/libbalou.*
%{_datadir}/themes/Default/balou/logo.png
%{_datadir}/themes/Default/balou/themerc

%files -n %{libname}
%{_libdir}/libxfsm-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/libxfsm-%{api}.so
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_includedir}/xfce4/%{name}-%{api}/


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-10.mga3
+ Revision: 386865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 4.10.0-9.mga3
+ Revision: 336245
- fix build with new automake
- rediff xinitrc patch after Terminal was renamed to xfce4-terminal and config file location changed

* Sat Nov 10 2012 wally <wally> 4.10.0-8.mga3
+ Revision: 316846
- add patch from upstream to fix duplicated accelerators

* Tue Oct 23 2012 wally <wally> 4.10.0-7.mga3
+ Revision: 309508
- drop session .desktop file

* Tue Oct 23 2012 wally <wally> 4.10.0-6.mga3
+ Revision: 309504
- add patches from upstream
  * fix logic of the --fast action (xfce#8857)
  * handle multiple interactive session save (xfce#5379)

* Thu Oct 18 2012 wally <wally> 4.10.0-5.mga3
+ Revision: 308011
- add a patch from upstream bugzilla to add systemd support

* Fri Oct 05 2012 wally <wally> 4.10.0-4.mga3
+ Revision: 302960
- use more generic require for polkit agent to allow users to use e.g. lxpolkit

* Thu May 31 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 252498
- kill configure option too

* Thu May 31 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 252494
- kill unneeded gnome-keyring dep (patch from upstream git)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248490
- new version 4.10.0
- adapt parts from xfce-utils which is now obsolete
- clean .spec

* Mon Feb 13 2012 wally <wally> 4.8.3-1.mga2
+ Revision: 208440
- new version 4.8.3
- clean BRs

* Sat Feb 11 2012 wally <wally> 4.8.2-3.mga2
+ Revision: 207154
- drop P0 (there's no --force switch in xfsettingsd anymore, mga#4468)
- drop lib require from main pkg

* Sat Sep 24 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 147334
- D'oh!
- really fix libname

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147289
- new version 4.8.2
- fix libname

* Fri Apr 29 2011 ahmad <ahmad> 4.8.1-3.mga1
+ Revision: 93347
- Add a patch from Debian to start xfsettingsd with --force to replace a
  spurious gnome-settings-daemon instance left by gdm

* Sat Feb 19 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53950
- require polkit-gnome instead of policykit-gnome

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53267
- update to 4.8.1
- drop redundant BR (fwang)

* Thu Feb 17 2011 ahmad <ahmad> 4.7.3-2.mga1
+ Revision: 53070
- replace X11-devel with libsm-devel
- drop BR perl(XML::Parser), it's already pulled in the chroot
- disable glade2-devel BR, not needed, I think
- change requires to %%_real_vendor-xfce-config
- drop old patches
- don't ship .a and .la
- imported package xfce4-session

